PUT
/security_groups/{security_group_id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/security_groups/{security_group_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "tir-sg-test-1", "description": "testing"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/security_groups/{security_group_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "tir-sg-test-1", "description": "testing", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/security_groups/{security_group_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "tir-sg-test-1", "description": "testing" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”security_group_id
required
integer
Security Group ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
Updated name of the security group
string
Example
tir-sg-test-1description
Updated description of the security group
string
Example
testingResponses
Section titled “Responses”Security group name and description updated successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
description
string
location
string
is_ssh_security_group
boolean
is_active
boolean
created_by
object
id
integer
name
string
email
string
username
string
attached_services
object
notebook
Array
inference_service
Array
distributed_job
Array
is_ssh_port_enabled
boolean
created_at
string format: date-time
updated_at
string format: date-time
errors
object
message
string
Example
{ "code": 200, "data": { "id": 22283, "name": "tir-sg-test-1", "description": "testing", "location": "Delhi", "is_ssh_security_group": false, "is_active": true, "created_by": { "id": 4947, "name": "xyz", "email": "abc@e2enetworks.com", "username": "abc@e2enetworks.com" }, "is_ssh_port_enabled": false, "created_at": "2026-03-09T05:00:00.000000Z", "updated_at": "2026-03-09T05:10:00.000000Z" }, "errors": {}, "message": "Success"}